#ifndef CAMPMODE_H
#define CAMPMODE_H

#include <string>
#include <iostream>
#include <QDataStream>
class cAmpMode
{
public:
    cAmpMode();
    cAmpMode(std::string name, unsigned int ratedImp, unsigned int ratedPower);
    std::string getName();
    unsigned int getRatedImp();
    unsigned int getRatedPower();
    void print();

    friend QDataStream& operator <<(QDataStream& out, cAmpMode& mode);
    friend QDataStream& operator >>(QDataStream& in, cAmpMode& mode);
private:
    std::string m_name;
    unsigned int m_ratedImp;
    unsigned int m_ratedPower;
};

#endif // CAMPMODE_H
